apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: score-deployment
  labels:
    app: score
spec:
  serviceName: score-service
  replicas: 1
  selector:
    matchLabels:
      app: score
  template:
    metadata:
      labels:
        app: score
    spec:
      containers:
      - name: score
        image: registry.gitlab.com/juho.auer/devops-team3:build-master
        imagePullPolicy: Always
        ports:
          - containerPort: 8000
        volumeMounts:
        - name: scorevol
          mountPath: /score_app
  volumeClaimTemplates:
    - metadata:
        name: scorevol
      spec:
        accessModes: [ "ReadWriteOnce" ]
        resources:
          requests:
            storage: 500Mi
            